OGRE: Ogre::DescriptorSetTexture2::Slot Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::DescriptorSetTexture2::Slot Struct Reference

`#include <OgreDescriptorSetTexture.h>`

## Public Member Functions
| Slot ()
| Slot (SlotType _slotType)
bool | empty (void) const
BufferSlot & | getBuffer (void)
const BufferSlot & | getBuffer (void) const
TextureSlot & | getTexture (void)
const TextureSlot & | getTexture (void) const
bool | isBuffer (void) const
bool | isTexture (void) const
bool | operator!= (const Slot &other) const
bool | operator< (const Slot &other) const

## Public Attributes
SlotType | slotType
BufferSlot | buffer
TextureSlot | texture

## Constructor & Destructor Documentation

## ◆ Slot() [1/2]

Ogre::DescriptorSetTexture2::Slot::Slot | ( |  | ) |
| inline

## ◆ Slot() [2/2]

Ogre::DescriptorSetTexture2::Slot::Slot | ( | SlotType | _slotType | ) |
| inline

## Member Function Documentation

## ◆ empty()

bool Ogre::DescriptorSetTexture2::Slot::empty | ( | void |  | ) | const
| inline

## ◆ getBuffer() [1/2]

BufferSlot& Ogre::DescriptorSetTexture2::Slot::getBuffer | ( | void |  | ) |
| inline

## ◆ getBuffer() [2/2]

const BufferSlot& Ogre::DescriptorSetTexture2::Slot::getBuffer | ( | void |  | ) | const
| inline

## ◆ getTexture() [1/2]

TextureSlot& Ogre::DescriptorSetTexture2::Slot::getTexture | ( | void |  | ) |
| inline

## ◆ getTexture() [2/2]

const TextureSlot& Ogre::DescriptorSetTexture2::Slot::getTexture | ( | void |  | ) | const
| inline

## ◆ isBuffer()

bool Ogre::DescriptorSetTexture2::Slot::isBuffer | ( | void |  | ) | const
| inline

## ◆ isTexture()

bool Ogre::DescriptorSetTexture2::Slot::isTexture | ( | void |  | ) | const
| inline

## ◆ operator!=()

bool Ogre::DescriptorSetTexture2::Slot::operator!= | ( | const Slot & | other | ) | const
| inline

References buffer, slotType, and texture.

## ◆ operator<()

bool Ogre::DescriptorSetTexture2::Slot::operator< | ( | const Slot & | other | ) | const
| inline

References buffer, slotType, and texture.

## Member Data Documentation

## ◆ buffer

BufferSlot Ogre::DescriptorSetTexture2::Slot::buffer

Referenced by operator!=(), and operator<().

## ◆ slotType

SlotType Ogre::DescriptorSetTexture2::Slot::slotType

Referenced by operator!=(), and operator<().

## ◆ texture

TextureSlot Ogre::DescriptorSetTexture2::Slot::texture

Referenced by operator!=(), and operator<().

The documentation for this struct was generated from the following file:

- OgreDescriptorSetTexture.h